Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Interface ConstructFraming

All Superinterfaces:
  FramePanel

All Known Implementing Classes:
  AConstructFramePanel, ActionEditorPanel, AROEditorPanel, GlobalFramePanel, GrammarEditorPanel, SimpleEditorPanel

    public interface ConstructFraming

extends FramePanel

An interface to be implemented by any FramePanel that is part of a DomainEditor

Method Summary
`boolean` | `checkConstruct()` Checks a construct of the panel's type for errors and inconsistencies.
`boolean` | `frameActionPerformed(java.awt.event.ActionEvent event)` Tries to process an action generated in the panel's frame.
`java.util.List` | `getAllConstructs()` Gets a full list of the constructs of the panel's type in the domain.
`Domain` | `getDomain()` Gets the current Domain.
`Named` | `getNamedConstruct(java.lang.String name)` Gets a named construct of the panel's type from the domain
`UIDomain` | `getUIDomain()` Gets the current UIDomain.
`UIObject` | `makeNewConstruct()` Makes a new construct of the panel's type.
`void` | `newConstruct()` Makes a new construct of the panel's type and gets ready to edit it.
`void` | `saveConstruct()` Saves a construct of the panel's type into the draft domain.
`void` | `setConstruct(IXObject construct)` Puts a given domain construct of the panel's type into the panel ready for editing
`void` | `setUIConstruct(UIObject construct)` Put a given UI construct of the panel's type into the panel ready for editing
`void` | `setUIDomain(UIDomain uiDomain)` Sets the current UIDomain.
`void` | `viewChanges()` Collects the construct's changes since last noted to draft (to base object) and shows them to the user.
`void` | `viewChangesFromOriginal()` Collects the construct's changes since last published and shows them to the user.

Method Detail

### getDomain

    Domain getDomain()

  Gets the current Domain.

### getUIDomain

    UIDomain getUIDomain()

  Gets the current UIDomain.

### setUIDomain

    void setUIDomain(UIDomain uiDomain)

  Sets the current UIDomain.

### newConstruct

    void newConstruct()

  Makes a new construct of the panel's type and gets ready to edit it.

### makeNewConstruct

    UIObject makeNewConstruct()

  Makes a new construct of the panel's type.

### saveConstruct

    void saveConstruct()

  Saves a construct of the panel's type into the draft domain.

### getNamedConstruct

    Named getNamedConstruct(java.lang.String name)

  Gets a named construct of the panel's type from the domain

### setConstruct

    void setConstruct(IXObject construct)

  Puts a given domain construct of the panel's type into the panel ready for editing

### setUIConstruct

    void setUIConstruct(UIObject construct)

  Put a given UI construct of the panel's type into the panel ready for editing

### checkConstruct

    boolean checkConstruct()

  Checks a construct of the panel's type for errors and inconsistencies.

### viewChanges

    void viewChanges()

  Collects the construct's changes since last noted to draft (to base object) and shows them to the user.

### viewChangesFromOriginal

    void viewChangesFromOriginal()

  Collects the construct's changes since last published and shows them to the user.

### getAllConstructs

    java.util.List getAllConstructs()

  Gets a full list of the constructs of the panel's type in the domain.

### frameActionPerformed

    boolean frameActionPerformed(java.awt.event.ActionEvent event)

  Tries to process an action generated in the panel's frame.

  Specified by:
    `frameActionPerformed` in interface `FramePanel`
  Parameters:
    `event` - the event to be processed.
  Returns:
    true if the event is recognised, false if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD